
module.exports =
{
	removeChilds: function (node)
	{
		var childs = node.childNodes;

		if (childs)
		while (childs.length > 0)
			node.removeChild (childs[0]);
	}

	,remove: function (node)
	{	
		if (node.parentNode)
			node.parentNode.removeChild (node);
	}

	,setText: function (node, text)
	{
		Vn.Node.removeChilds (node);

		if (text)
			node.appendChild (
				node.ownerDocument.createTextNode (text));
	}
	
	,addClass: function (node, className)
	{
/*		var classes = node.className.split (' ');
		
		if (classes.split (' ').indexOf (className) == -1)
*/			node.className = className +' '+ node.className;
	}
	
	,removeClass: function (node, className)
	{
		var index = 0;
		var found = false;
		var classes = node.className.split (' ');
		
		while ((index = classes.indexOf (className, index)) != -1)
		{
			classes.splice (index, 1);
			found = true;
		}
		
		if (found)
			node.className = classes.join (' ');
	}
	
	,hide: function (node)
	{
		node.style.display = 'none';
	}
	
	,show: function (node)
	{
		node.style.display = 'block';
	}
};

$ = function (id)
{
	return document.getElementById (id);
}
